WebKitGTK+-2.4.4

Introduction to WebKitGTK+

The WebKitGTK+ is the port of the portable web rendering engine WebKit to the GTK+ 3 platform.

This package is known to build and work properly using an LFS-7.6 systemd platform.

Package Information

WebKitGTK+ Dependencies

Required

gst-plugins-base-1.4.0, GTK+-3.12.2 or GTK+-2.24.24 or both, ICU-53.1, libsecret-0.18, libsoup-2.46.0, libwebp-0.4.1, MesaLib-10.2.6, Ruby-2.1.2, SQLite-3.8.6, Systemd (for GUdev) and Which-2.20

[Note]

Note

Note that WebKit2 links against GTK+ 2 (even if GTK+ 3 is being used) in order to be able to use NPAPI plugins such as Adobe Flash.

Recommended

Optional

GTK-Doc-1.20, LLVM-3.4.2 and MathML

User Notes: http://wiki.linuxfromscratch.org/blfs/wiki/webkitgtk

Installation of WebKitGTK+

If you have not installed GTK-Doc-1.20, fix a bug that will cause make install to fail:

sed -i '/generate-gtkdoc --rebase/s:^:# :' GNUmakefile.in
[Note]

Note

Unless noted otherwise, the packages depending on this package expect it to be built against GTK+ 3.

To build WebKitGTK+ against GTK+ 3, run the following commands:

./configure --prefix=/usr --enable-introspection &&
make

To build WebKitGTK+ against GTK+ 2, run the following commands:

./configure --prefix=/usr --with-gtk=2.0 --disable-webkit2 &&
make

This package does not have a working testsuite. However, there are two useable basic graphical web browsers in the source directory, Programs/GtkLauncher and Programs/MiniBrowser. If launching any one fails, there is a problem with the build.

Now, as the root user:

make install

If you have built the package against GTK+ 3, rename the following directory to avoid conflicts with the package built against GTK+ 2 by running the following commands as the root user:

rm -rf /usr/share/gtk-doc/html/webkit{,dom}gtk-3.0 &&
mv -v /usr/share/gtk-doc/html/webkitdomgtk{,-3.0}  &&
mv -v /usr/share/gtk-doc/html/webkitgtk{,-3.0}

If you have built the package against GTK+ 2, rename the following directory to avoid conflicts with the package built against GTK+ 3 by running the following commands as the root user:

rm -rf /usr/share/gtk-doc/html/webkit{,dom}gtk-1.0 &&
mv -v /usr/share/gtk-doc/html/webkitdomgtk{,-1.0}  &&
mv -v /usr/share/gtk-doc/html/webkitgtk{,-1.0}

Command Explanations

--enable-introspection: This switch enables Gobject Introspection bindings and is required if building GNOME Desktop. Remove if you don't have Gobject Introspection installed or you don't want to install GNOME. It is not needed if building against GTK+ 2, although it can be used if desired.

--with-gtk=2.0 --disable-webkit2: These switches force WebKitGTK+ to compile against GTK+ 2, even if GTK+ 3 is also installed.

--disable-geolocation: Use this switch if you don't want to install GeoClue-0.12.0 or GeoClue-2.1.9.

--enable-gtk-doc: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

Contents

Installed Program: jsc-3 or jsc-1
Installed Libraries: libjavascriptcoregtk-3.0.so, libwebkit2gtk-3.0.so and libwebkitgtk-3.0.so or libjavascriptcoregtk-1.0.so and libwebkitgtk-1.0.so
Installed Directories: /usr/include/webkitgtk-3.0, /usr/lib/webkit2gtk-3.0, /usr/share/gtk-doc/html/webkitgtk-3.0, /usr/share/gtk-doc/html/webkitdomgtk-3.0, /usr/share/gtk-doc/html/webkit2gtk and /usr/share/webkitgtk-3.0 or /usr/include/webkit-1.0, /usr/share/gtk-doc/html/webkitgtk-1.0, /usr/share/gtk-doc/html/webkitdomgtk-1.0 and /usr/share/webkit-1.0

Short Descriptions

jsc-3

is a command-line utility that allows you to run JavaScript programs outside of the context of a web browser linked against libjavascriptcoregtk-3.0.so.

jsc-1

is a command-line utility that allows you to run JavaScript programs outside of the context of a web browser linked against libjavascriptcoregtk-1.0.so.

libjavascriptcoregtk-3.0.so

contains core JavaScript API functions used by jsc-3 and libwebkitgtk-3.0.so.

libwebkitgtk-3.0.so

contains the WebKitGTK+ API functions for GTK+ 3.

libwebkit2gtk-3.0.so

contains the WebKit2 API functions.

libjavascriptcoregtk-1.0.so

contains core JavaScript API functions used by jsc-1 and libwebkitgtk-1.0.so.

libwebkitgtk-1.0.so

contains the WebKitGTK+ API functions for GTK+ 2.

Last updated on 2014-08-25 12:23:12 +0000